

ALTER PROCEDURE SP_IKITARIHARASICALISILANGUNSAYISI
(
    @baslangictarihi Datetime,
    @bitistarihi Datetime,
    @GUN INT OUTPUT  
)
AS 
BEGIN

DECLARE @PAZARDAHILMI NVARCHAR(1)



select @PAZARDAHILMI=[dbo].[FN_READEXEINI]('HOTEL','Bordro','Izinde Pazar Gununu Dahil Et')



IF @PAZARDAHILMI='1'
BEGIN

 SET @GUN= (DATEDIFF(dd, @baslangictarihi, @bitistarihi) )
  -(DATEDIFF(wk, @baslangictarihi, @bitistarihi) * 1)--CMT EKLENÝRSE 2 OLACAK
  -(CASE WHEN DATENAME(dw, @baslangictarihi) = 'Sunday' THEN 1 ELSE 0 END)
  /*-(CASE WHEN DATENAME(dw, @bitistarihi) = 'Saturday' THEN 1 ELSE 0 END)*/
END
ELSE
BEGIN
 
  SET @GUN= (DATEDIFF(dd, @baslangictarihi, @bitistarihi))
  -(DATEDIFF(wk, @baslangictarihi, @bitistarihi) * 1)
  /*-(CASE WHEN DATENAME(dw, @baslangictarihi) = 'Sunday' THEN 1 ELSE 0 END)*/
  /*-(CASE WHEN DATENAME(dw, @bitistarihi) = 'Saturday' THEN 1 ELSE 0 END)*/
 END
--PRINT @GUN
RETURN @GUN
END
/*
DECLARE @GUNS INT
EXEC SP_IKITARIHARASICALISILANGUNSAYISI '11.02.2020','11.03.2020',@GUNS OUTPUT
SELECT @GUNS
*/
